<script src="https://unpkg.com/masonry-layout@4/dist/masonry.pkgd.min.js"></script>
<?php $esc_statuses = array( __('all'), __('active'), __('inactive') ); ?>

<div id="filterFavorites">
	<form class="favForm">
		<div class="c-body inpStyle">
			<div class="c-title"><?=__('pv2_btn_my_favorites')?></div>
			<p class="note-info"><?= __('favorites_note') ?></p>

			<div class="actions inputs">
				<div class="inp-inner clearFloat">
					<label for="city"><?=__('mob_select_city')?></label>
					<select name="city" id="city">
						<option value=""><?= __('all') ?></option>
						<? foreach ( $this->cities as $city ): ?>
							<option value="<?= $city->id ?>" <?=( !empty( $_COOKIE['city'] ) && $_COOKIE['city'] == $city->id ) ? 'selected' : ''?>><?= $city->title ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inp-inner clearFloat">
					<label for="act"><?=__('show')?></label>
					<select id="act">
						<? foreach ( $esc_statuses as $k => $status ): ?>
							<option value="<?= $k + 1 ?>" <?=( !empty( $_COOKIE['act'] ) && $_COOKIE['act'] == $k + 1 ) ? 'selected' : ''?>><?= $status ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<input id="per_page" type="hidden" value="12" />
			</div>
		</div>
	</form>
</div>

<div id="favoritesList">

</div>

<div id="saveWrapper" class="posFixBottom zIndexMax">
    <a id="saveMemberProfile" href="<?=$this->getLink('top10-list')?>"><?=__('mob_top10_list')?></a>
</div>

<script>
	$(document).ready(function(){
		MCubix.Favorites.init();
	});

	MCubix.Favorites = {
		init: function(){
			this.filterChange( this._rePackData( true ) );
			this._render( this._rePackData() );
		},

		filterChange: function( _inpts ){
			var self = this;

			_inpts.on('change', function(){
				MCubix.Cookies.set($(this).attr('id'), ( $(this).val() || $(this).find(':selected').val() ));
				self._render( self._rePackData() );
			});
		},

		_rePackData: function( _data_param ){
			var _v,
				_data = {},
				_inputs = {
					'city': { inp_type: 'sel' },
					'act': { inp_type: 'sel' },
					'showname': { inp_type: 'inp' },
					'per_page': { inp_type: 'inp' }
				};

			if( _data_param === true ){
				var _all_inpts = $();
				$.each( _inputs, function(i, e){
					var _curr_el = '#' + i;

					if( !$( _curr_el ).length ) return true;

					_all_inpts = _all_inpts.add( _curr_el );
				});

				return _all_inpts;
			}

			$.each( _inputs, function(i, e){
				var _curr_el = $('#' + i );
				if( !_curr_el.length ) return true;

				if( _inputs[i].inp_type == 'sel' ){
					_v = _curr_el.find(':selected').val() || MCubix.Cookies.get(i);
				} else if(  _inputs[i].inp_type == 'inp' ){
					_v = _curr_el.val() || MCubix.Cookies.get(i);
				}

				if( _data_param && parseInt( _data_param ) ){
					_data['page'] = _data_param;
					//MCubix.Cookies.set('page', _data_param);
				}

				if( !_v ) return true;

				_data[i] = _v;
			});

			return _data;
		},

		_render: function( _data ){
			var self = this,
                _url = '<?=$this->getLink("ajax-favorites")?>',
				_container = $('#favoritesList');

			$.ajax({
				url: _url,
				method: 'get',
				data: _data,
				beforeSend: function(){
					MCubix.OverlayV2.init( true, _container );
				},
				success: function ( resp ) {
                    MCubix.OverlayV2.init( false );
                    var __resp_html = $( resp );

                    _container.html( __resp_html );

                    self.initGridsAfterImgsLoaded( __resp_html );
				}
			});

			return false;
		},

        initGridsAfterImgsLoaded: function( __resp_html ){
            var self = this,
                __imgs = __resp_html.find('img'),
                __imgs_count = __imgs.length,
                __step = 0;

            __imgs.load(function(){
                ++__step;

                if( __step == __imgs_count ) self.initGrids();
            })
        },

        initGrids: function(){
            $('.grid').masonry({
                itemSelector: '.grid-item',
                gutter: 10
            });
        }
	}
</script>

